<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::BufferHeader Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d2/d60/structThread_1_1BufferHeader.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../d0/dbd/structThread_1_1BufferHeader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::BufferHeader Struct Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../dd/d2e/group__core-message.html">Message</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure contains a pointer to the next <a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a> buffer.  
 <a href="../../d2/d60/structThread_1_1BufferHeader.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d5/d8c/message_8hpp_source.html">src/core/common/message.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Thread::BufferHeader:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d1e/structThread_1_1BufferHeader__coll__graph.png" border="0" usemap="#Thread_1_1BufferHeader_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1BufferHeader_coll__map" id="Thread_1_1BufferHeader_coll__map">
<area shape="rect" id="node2" href="../../db/d50/classThread_1_1Buffer.html" title="This class represents a Message buffer. " alt="" coords="189,5,295,31"/>
<area shape="rect" id="node6" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. " alt="" coords="179,92,304,117"/>
<area shape="rect" id="node3" href="../../de/dcc/structThread_1_1MessageInfo.html" title="This structure contains metdata about a Message. " alt="" coords="289,367,437,392"/>
<area shape="rect" id="node4" href="../../d5/d9f/classThread_1_1MessagePool.html" title="Thread::MessagePool" alt="" coords="400,280,552,305"/>
<area shape="rect" id="node5" href="../../d9/dd7/structThread_1_1MessageListEntry.html" title="This structure contains pointers to the MessageList structure, the next Message, and previous Message..." alt="" coords="149,280,326,305"/>
<area shape="rect" id="node7" href="../../da/d60/structThread_1_1MessageList.html" title="This structure contains pointers to the head and tail of a Message list. " alt="" coords="169,193,315,218"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad46c41d9a29afb4c523d417a4ef39a83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad46c41d9a29afb4c523d417a4ef39a83"></a>
class <a class="el" href="../../db/d50/classThread_1_1Buffer.html">Buffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d60/structThread_1_1BufferHeader.html#ad46c41d9a29afb4c523d417a4ef39a83">mNext</a></td></tr>
<tr class="memdesc:ad46c41d9a29afb4c523d417a4ef39a83"><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer to the next <a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a> buffer. <br /></td></tr>
<tr class="separator:ad46c41d9a29afb4c523d417a4ef39a83"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure contains a pointer to the next <a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a> buffer. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/core/common/<a class="el" href="../../d5/d8c/message_8hpp_source.html">message.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/d60/structThread_1_1BufferHeader.html">BufferHeader</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
